import { DataModel } from '@imengyu/js-request-transform';
import { AppServerRequestModule } from './RequestModules';

export class CommonApi extends AppServerRequestModule<DataModel> {

  constructor() {
    super();
    this.config.modelClassCreator = DataModel;
  }
}

export default new CommonApi();
